Bug 1119777 - PrivateTmp makes files invisible for the same user
Summary: PrivateTmp makes files invisible for the same user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 13:34 UTC by Karel Volný
Modified: 2014-10-31 02:43 UTC (History)
8 users (show)

Fixed In Version: sddm-0.9.0-2.20141007git6a28c29b.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-28 06:46:27 UTC


Attachments (Terms of Use)

Description Karel Volný 2014-07-15 13:34:54 UTC
Description of problem:
After switching to sddm, I am unable to access problem data via gnome-abrt.
The investigation led to a problem with PrivateTmp being enabled for sddm.service

Version-Release number of selected component (if applicable):
sddm-0.2.0-0.31.20140627gitf49c2c79.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. make sddm your displaymanager
2. login
3. ls /var/tmp
4. ssh localhost
5. ls /var/tmp

Actual results:
3.
kdecache-kvolny

5.
abrt               beakerlib-IUryF4f  beakerlib-ldAUYOu  beakerlib-xZoLpVh  default_1000     systemd-colord.service-XVNvrzP  systemd-rtkit-daemon.service-X2PlGJK  yum-kvolny-HhsNk2
beakerlib-iMXWH0w  beakerlib-K2iye8d  beakerlib-mQtxh5A  beakerlib-4XFdP4o  kdecache-kvolny  systemd-cups.service-XiGo7Fg    systemd-sddm.service-XRY1n5Y

Expected results:
same output for 3 and 5

Additional info:

Comment 1 Karel Volný 2014-07-17 10:25:38 UTC
btw, probably a bit offtopic here, but ... I keep wondering, if some files are put into /var/tmp overlay during sddm session, what happens to them after the session ends?

Comment 2 Elias Probst 2014-08-02 18:26:15 UTC
I feel like this is more likely an issue with gnome-abrt which uses /tmp as an inappropriate location for its job to pass core-dump data and what else between different applications/components, but I lack knowledge of gnome-abrt internals to really tell what's going on.

Can anyone (jfilak?) with more gnome-abrt knowledge tell what's happening here and whether this is something which should/could be fixed within gnome-abrt?

Comment 3 Jakub Filak 2014-08-04 06:40:15 UTC
Hi Elias, "gnome-abrt" just queries ABRT database via D-Bus service  org.freedesktop.Problems (https://jfilak.fedorapeople.org/ProblemsAPI/) and the service reads the data from "/var/tmp". I can't find anything bad on that according to this page http://fedoraproject.org/wiki/Features/tmp-on-tmpfs (See "Comments and Discussion").

Karel has correctly described the main problem of using "PrivateTmp=yes" for sddm. "ls /var/tmp" in console session has different result than "ls /var/tmp" in desktop session.

Comment 4 Fedora Update System 2014-10-07 09:26:23 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc21

Comment 5 Fedora Update System 2014-10-07 09:27:26 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc20

Comment 6 Fedora Update System 2014-10-07 09:28:19 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc19

Comment 7 Fedora Update System 2014-10-08 18:57:47 UTC
Package sddm-0.9.0-1.20141007git6a28c29b.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.9.0-1.20141007git6a28c29b.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12308/sddm-0.9.0-1.20141007git6a28c29b.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-10-28 06:46:27 UTC
sddm-0.9.0-2.20141007git6a28c29b.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-10-31 02:43:08 UTC
sddm-0.9.0-2.20141007git6a28c29b.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.